package singleton_demo;

/**
 * Totally bogus representation of a file server. Instead of clients actually
 * connecting to the server dynamically, we read our clients' requests from
 * stdin and write the results to stdout.
 * 
 * The purpose is to demonstrate use of a logger with Singleton.
 * 
 * @author Krysta Yousoufian, CSE 331
 * 
 */
public class FileServer {
    private static final int NUM_CLIENTS = 10;

    public static void main(String[] args) {
        // Create our imaginary clients - the machines connecting to the file
        // server to request access to files.
        ClientHandler[] clients = new ClientHandler[NUM_CLIENTS];
        for (int i = 0; i < clients.length; i++) {
            clients[i] = new ClientHandler();
        }

        // Model different clients requesting files. In a real server, each of
        // these would be handled in a separate thread. For simplicity, we
        // simulate multithreading by interleaving client's requests in
        // a while loop.
        while (true) {
            for (int i = 0; i < clients.length; i++) {
                System.out.println("Client #" + i + "'s turn to read");
                clients[i].readNextFile();
            }
        }
    }
}
