package singleton_demo;


import java.io.*;

/**
 * Logs file server activity, appending it to a file.
 * @author Krysta Yousoufian, CSE 331
 *
 */
public class Logger {
	private static final String LOG_FILE_PATH = "server_log.txt";
	// The single Logger instance that all clients will use.
	private static final Logger INSTANCE = new Logger();
	
	private File logFile;
	
	// Clients will use this method to get the one global Logger. Alternatively,
	// we could have made INSTANCE public (and probably give it a name that
	// would make more sense to a client than just INSTANCE).
	public static Logger getInstance() {
		return INSTANCE;
	}
	
	// Private constructor prevents the client from creating another logger
	// behind our backs.
	private Logger() {
	    logFile = new File(LOG_FILE_PATH);
	}
	
	public void write(String s) {
		try {
			Writer wrtr = new FileWriter(logFile, true);
			wrtr.append("LOG " + s + "\n");
			wrtr.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
